- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# FbxBindingTableBase Class Reference

Search for all occurrences

## Detailed Description

A binding table represents a collection of bindings from source types such as FbxObject, or FbxLayerElements to destinations which can be of similar types.

FbxBindingTableEntry.

Definition at line 30 of file fbxbindingtablebase.h.

`#include <fbxbindingtablebase.h>`

Inheritance diagram for FbxBindingTableBase:
[legend]

List of all members.

## Public Member Functions
FbxBindingTableEntry & | AddNewEntry ()
| Adds a new entry to the binding table.
size_t | GetEntryCount () const
| Query the number of table entries.
FbxBindingTableEntry const & | GetEntry (size_t pIndex) const
| Access a table entry.
FbxBindingTableEntry & | GetEntry (size_t pIndex)
| Access a table entry.
FbxBindingTableEntry const * | GetEntryForSource (char const *pSrcName) const
| Retrieve the table entry for the given source value.
FbxBindingTableEntry const * | GetEntryForDestination (char const *pDestName) const
| Retrieve the table entry for the given destination value.
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.
## Protected Member Functions
| FbxBindingTableBase (FbxManager &pManager, char const *pName)
virtual | ~FbxBindingTableBase ()=0

## Constructor & Destructor Documentation

FbxBindingTableBase | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

virtual ~FbxBindingTableBase | ( |  | ) | `[protected, pure virtual]`

## Member Function Documentation

FbxBindingTableEntry& AddNewEntry | ( |  | ) |

Search for all occurrences

Adds a new entry to the binding table.

Returns:
  The new entry.

Examples:
  ExportShader/main.cxx.

size_t GetEntryCount | ( |  | ) | const

Search for all occurrences

Query the number of table entries.

Returns:
  The number of entries.

Examples:
  ImportScene/DisplayMaterial.cxx.

FbxBindingTableEntry const& GetEntry | ( | size_t | pIndex | ) | const

Search for all occurrences

Access a table entry.

Parameters:

  pIndex | Valid range is [0, GetEntryCount()-1].

Returns:
  A valid table entry if pIndex is valid. Otherwise the value is undefined.

Examples:
  ImportScene/DisplayMaterial.cxx.

FbxBindingTableEntry& GetEntry | ( | size_t | pIndex | ) |

Search for all occurrences

Access a table entry.

Parameters:

  pIndex | Valid range is [0, GetEntryCount()-1].

Returns:
  A valid table entry if pIndex is valid. Otherwise the value is undefined.

FbxBindingTableEntry const* GetEntryForSource | ( | char const * | pSrcName | ) | const

Search for all occurrences

Retrieve the table entry for the given source value.

Parameters:

  pSrcName | The source value to query.

Returns:
  The corresponding entry, or NULL if no entry in the table has a source equal in value to pSrcName.

FbxBindingTableEntry const* GetEntryForDestination | ( | char const * | pDestName | ) | const

Search for all occurrences

Retrieve the table entry for the given destination value.

Parameters:

  pDestName | The destination value to query.

Returns:
  The corresponding entry, or NULL if no entry in the table has a destination equal in value to pDestName.

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxObject.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxbindingtablebase.h

FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase
FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase FbxBindingTableBase